部門グループ削除
DELETE
/category_groups/{category_group_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/category_groups/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/category_groups/example \ --header 'Authorization: Bearer <token>'指定された部門グループを削除します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”category_group_id
required
string
部門グループID
Responses
Section titled “Responses”削除成功
- 指定された部門グループに紐付いている部門が存在する場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example指定された部門グループに紐付いている部門が存在する場合
{ "type": "about:blank", "title": "Bad Request", "detail": "指定された部門グループに紐付いている部門が存在するため、削除できません。", "status": 400}- 指定されたIDが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Exampleリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}